package p03_interakcja.skaner;

import java.util.Scanner;

// Program odczytuje długości boków prostokąta i oblicza pole powierzchni oraz obwód.

// Klasa Scanner oraz opercaje String.format i printf biorą pod uwagę ustawienia regionalne komputera.
// Gdy ustawiony jest język angielski, to używają kropki w ułamku dziesiętnym,
// gdy ustawiony jest język polski, to uywają przecinka.
// W wersjach ProstokatUS1 i 2 wymuszamy użycie kropki.

public class Prostokat {

	public static void main(String[] args) {
		Scanner scanner = new Scanner(System.in);
		
		System.out.print("Podaj długość prostokąta: ");
		double a = scanner.nextDouble();
		System.out.print("Podaj szerokość prostokąta: ");
		double b = scanner.nextDouble();
		
		double pole = a*b;
		double obwod = 2*a + 2*b;
		System.out.println("Pole: " + pole);
		System.out.println("Obwód: " + obwod);
		
		// wersja printf (działa tak samo jak String.format):
		System.out.printf("Dla prostokąta o bokach %.3f × %.3f pole wynosi %.3f a obwód %.3f\n",
				a, b, pole, obwod);

	}

}
